General
cancel
Showing results for 
Search instead for 
Did you mean: 

Ipv6 can not work on hp 11.23+jre1.6

leitm_abc
Occasional Visitor

Ipv6 can not work on hp 11.23+jre1.6

We would like support the ipv6 on hp + java .
On the older build, the application work well on hp+jre1.5+Ipv6. But we need to upgrade the jre to 1.6 now.

Here is the test code about serversocket.

try {
ServerSocket s = new ServerSocket();
s.bind(new InetSocketAddress(InetAddress.getByName("::"),7777));
} catch (IOException e) {
e.printStackTrace();
}

It is command line:
$JRE15VERSION/java -Djava.net.preferIPv4Stack="false" ServerSocketExample ----> It work well

$JRE16VERSION/java -Djava.net.preferIPv4Stack="false" ServerSocketExample -----> It can not work

Anyone can give us a help? many thanks.